#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int b,c;
	cin>>b>>c;
	int a;
	if(b+c<256)
	{
		if(b>c) a=256-b;
		else a=256-c;
	}
	else if(b==0 || c==0) a=0;
	else
	{
		if((b>=256 || c>=256)||(b>=256 && c>=256)) a=0;
		if((b+c>256) && b<256 && c<256)
		{
			if(b>c) a=256-b;
			else a=256-c;
		}
	}
	cout<<a;
	return 0;
}